be.fgov.ehealth.hubservices.core.v2

## Class RevokeTherapeuticExclusionRequest

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.RevokeTherapeuticExclusionRequest

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:26:42+02:00",
                 comments="JAXB RI v2.3.7")
      public class RevokeTherapeuticExclusionRequest
      extends Object
      implements Serializable

  Java class for RevokeTherapeuticExclusionRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RevokeTherapeuticExclusionRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="request" type="{http://www.ehealth.fgov.be/hubservices/core/v2}RequestType"/>
               <element name="therapeuticexclusion" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticExclusionType"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RevokeTherapeuticExclusionRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RequestType` | `getRequest()` Gets the value of the request property.
    `TherapeuticExclusionType` | `getTherapeuticexclusion()` Gets the value of the therapeuticexclusion property.
    `void` | `setRequest(RequestType value)` Sets the value of the request property.
    `void` | `setTherapeuticexclusion(TherapeuticExclusionType value)` Sets the value of the therapeuticexclusion property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RevokeTherapeuticExclusionRequest

          public RevokeTherapeuticExclusionRequest()

  - ### Method Detail

    - #### getRequest

          public RequestType getRequest()

      Gets the value of the request property.
      Returns:
        possible object is `RequestType`

    - #### setRequest

          public void setRequest(RequestType value)

      Sets the value of the request property.
      Parameters:
        `value` - allowed object is `RequestType`

    - #### getTherapeuticexclusion

          public TherapeuticExclusionType getTherapeuticexclusion()

      Gets the value of the therapeuticexclusion property.
      Returns:
        possible object is `TherapeuticExclusionType`

    - #### setTherapeuticexclusion

          public void setTherapeuticexclusion(TherapeuticExclusionType value)

      Sets the value of the therapeuticexclusion property.
      Parameters:
        `value` - allowed object is `TherapeuticExclusionType`

Connector Packaging PERSDIETICIAN 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.